## mscim-pinyin 0.5.91-0maemo2

=== debian/changelog ===
mscim-pinyin (0.5.91-0maemo2) Fremantle; urgency=low

  * Update to maemo fremantle
  
 -- Alsor Zhou <alsor.zhou@gmail.com>  Tue, 22 Dec 2009 14:58:37 +0800

scim-pinyin (0.5.91-0maemo1) bora; urgency=low

  * ported to Maemo
  
 -- Guo Yong <wolfg1969@gmail.com>  Wed, 28 Mar 2007 14:58:37 +0800

scim-pinyin (0.5.91-0ubuntu3) dapper; urgency=low

  * check for skim in the im-switch file and sets XIM_PROGRAM=skim if 
    it is installed (fixes the problem that skim is not started currently 
    automatically in kubuntu)
  
 -- Hou ZhengPeng <zhengpeng.hou@gmail.com>  Thu, 23 Mar 2006 11:48:37 +0800

scim-pinyin (0.5.91-0ubuntu2) dapper; urgency=low

  * Add im-switch configure file in debian/im-switch for postinst.
  * Add im-switch to Recommends.
  * Use ttf-arphic-uming and ttf-arphic-ukai as recommend chinese fonts .
  * Fix bug #34413 on malone.
  * Upload for Hou ZhengPeng <zhengpeng.hou@gmail.com>.

 -- Jonathan Patrick Davies <jpatrick@ubuntu.com>  Sat,  11 Mar 2006 15:53:47 +0100

scim-pinyin (0.5.91-0ubuntu1) dapper; urgency=low

  * New upstream release 
  * Add skim-scim-pinyin and build-dep on skim
  * Add postinst for register scim to im-switch 

 -- Hou ZhengPeng <zhengpeng.hou@gmail.com>  Thu,  2 Mar 2006 19:18:00 +0800

scim-pinyin (0.5.0-2) unstable; urgency=low

  * Make scim-pinyin Replaces scim-chinese (<< 0.5.0) to provide smooth
    upgrade from sarge.  (Closes: #343562)
  * Handle obsolete conffile from old scim-chinese packages properly.
  * Build-depend on autotools-dev and use config.{guess,sub} from
    autotools-dev unconditionally.

 -- Ming Hua <minghua@rice.edu>  Sun, 25 Dec 2005 04:59:22 -0600

scim-pinyin (0.5.0-1) unstable; urgency=low

  * New upstream release.  [minghua]
    - Upstream changes name to scim-pinyin.
  * debian/patches/10scim-plugin-module-install-dir.dpatch, debian/rules,
    debian/install:  Building against scim 1.4, change module installation
    directory from 1.0.0 to 1.4.0.  (Closes: #324268, #324808)  [minghua]
  * debian/patches/{00list,01gcc-4.0.dpatch}:  Apply patch from Andreas Jochens
    <aj@andaco.de> to fix FTBFS with gcc-4.0.  (Closes: #297975)  [minghua]
  * debian/control, debian/{postinst,prerm}, debian/install:  This new release
    doesn't use gconf anymore, so get rid of gconf2 dependency and related
    scripts.  [minghua]
  * debian/{control,rules,install,docs}:  Build scim-chinese dummy package to
    help upgrade, rename install and docs to scim-pinyin.install and
    scim-pinyin.docs.  [minghua]
  * debian/control:  Upgrade to policy version 3.6.2 (no actual changes).
    [minghua]
  * debian/watch:  Track all new versions.  [minghua]
  * debian/copyright:  Update FSF address.  [minghua]

 -- Ming Hua <minghua@rice.edu>  Thu,  6 Oct 2005 21:28:53 -0500

scim-chinese (0.4.2-2) unstable; urgency=low

  * debian/{copyright,watch}:  Update upstream information.  [minghua]
  * debian/control:  [minghua]
    - Remove explicit dependency on scim since it's included in
      ${shlibs:Depends}.
    - Add scim (<< 1.1) to Depends: so that it won't be installed with scim
      1.2.x series.  This is better than setting Conflicts:.
    - Move Chinese TrueType font packages from Depends: to Recommends:.
  * debian/README.Debian:  New.  Basic information about scim-chinese and tips
    about ``pinyin with tone''.  [minghua]

 -- Ming Hua <minghua@rice.edu>  Sun,  6 Feb 2005 22:20:50 -0600

scim-chinese (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:  Update scim dependencies to >= 1.0.1, also updated
    package descriptions.
  * debian/rules, debian/patches/, debian/control:  Switch to dpatch system.
  * debian/watch:  Add watch file for monitoring upstream releases.
  * debian/postinst, debian/prerm:  Slight changes to postinst script
    according to dh_gconf(1) template, and add prerm script to unregister
    gconf schemas.

 -- Ming Hua <minghua@rice.edu>  Wed, 29 Sep 2004 17:38:06 -0500

scim-chinese (0.3.0-2) unstable; urgency=low

  * Initial release for upload into the official Debian archive.
  * Minor tweakings:
     - Added Build-Depends: libgtk2.0-dev
     - Added Depends: gconf2
     - Added postinst to run gconftool-2, based on upstream SPEC file.
  * NMU: Ming Hua <minghua@rice.edu> is still the maintainer.
    I am his Debian upload sponsor.  :-)

 -- Anthony Fok <foka@debian.org>  Sat, 12 Jun 2004 01:37:11 +0800

scim-chinese (0.3.0-1) unstable; urgency=low

  * Initial Release, based on upstream version 0.3.0.

 -- Ming Hua <minghua@rice.edu>  Fri, 30 Apr 2004 14:58:29 -0500
