=== debian/control ===
Source: mscim-pinyin
Section: user/system
Priority: optional
Maintainer: Evan JIANG <firstfan@gmail.com>
Build-Depends: debhelper (>= 4.0.0), dpatch, autotools-dev, libgtk2.0-dev, libmscim-dev (>= 1.4.0)
Standards-Version: 3.6.2

Package: mscim-pinyin
Section: user/system
Architecture: any
Depends: ${shlibs:Depends}, mscim
Description: Smart pinyin IM engine for MSCIM platform
 MSCIM (Maemo Smart Common Input Method) is an input method (IM) platform for
 Nokia N900.
 .
 This package provides smart pinyin IM engine for MSCIM.  It includes the
 plugin modules and the data files.  With this module you can use the
 smart pinyin input method for Chinese.
 .
  Homepage: http://code.google.com/p/scim-for-maemo/
 .
 For details about MSCIM, please see the description of package mscim.
