=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001
#
# Modified for package scim-pinyin by Ming Hua 2004.  Some modification
# comes from Anthony Fok.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Setting compiling flags
CFLAGS = -W -g
CXXFLAGS = -W -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
	CXXFLAGS += -O0
else
	CFLAGS += -O2
	CXXFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: patch-stamp configure
	dh_testdir

	ln -s /usr/share/misc/config.guess config.guess
	ln -s /usr/share/misc/config.sub config.sub
	rm -f config.cache
	# auto reconf
	./autogen.sh

	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" ./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--sysconfdir=/etc \
		--disable-static \
		--disable-rpath \
		--disable-skim-support

build: build-stamp
build-stamp:  config.status
	# Add here commands to compile the package.
	$(MAKE) 

	touch build-stamp

clean: clean-patched unpatch
clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	rm -f config.guess config.sub

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean 

patch: patch-stamp
patch-stamp:
	dpatch apply-all
	touch patch-stamp

unpatch:
	dpatch deapply-all
	rm -rf patch-stamp debian/patched

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Use the upstream makefile to install everything into
	# debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# Clean up unnecessary static libraries for modules
	rm debian/tmp/usr/lib/scim-1.0/*/*/*.la
	# Prepare files for different packages to separate directories
	dh_install --sourcedir=debian/tmp --fail-missing
	install -d $(CURDIR)/debian/scim-pinyin/etc/X11/xinit/xinput.d/
	install -m 644 debian/im-switch/scim-pinyin debian/scim-pinyin/etc/X11/xinit/xinput.d/
	touch install-stamp

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install patch unpatch
