## mscim-pinyin 0.5.91-0maemo3

=== debian/changelog ===
mscim-pinyin (0.5.91-0maemo3) fremantle; urgency=low

  * Add setup module

 -- Evan JIANG <firstfan@gmail.com>  Wed, 06 Jan 2010 23:17:00 +0800

mscim-pinyin (0.5.91-0maemo2) fremantle; urgency=low

  * Update to maemo fremantle
  
 -- Alsor Zhou <alsor.zhou@gmail.com>  Tue, 22 Dec 2009 14:58:37 +0800
