## mscim-pinyin 0.5.91-0maemo4

=== debian/changelog ===
mscim-pinyin (0.5.91-0maemo4) fremantle; urgency=low

  * Enable mameo-optify

 -- Evan JIANG <firstfan@gmail.com>  Fri,  05 Feb 2010 17:23:00 +0800
