=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/system
 Priority: optional
 Maintainer: Evan JIANG <firstfan@gmail.com>
-Build-Depends: debhelper (>= 4.0.0), dpatch, autotools-dev, libgtk2.0-dev, libmscim-dev (>= 1.4.0),libhildon1-dev,libosso-dev
+Build-Depends: debhelper (>= 4.0.0), dpatch, autotools-dev, libgtk2.0-dev, libmscim-dev (>= 1.4.0), libhildon1-dev,libosso-dev
 Standards-Version: 3.6.2
 
 Package: mscim-pinyin
