=== debian/rules ===
--- 
+++ 
@@ -129,6 +129,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	maemo-optify
 	dh_md5sums
 	dh_builddeb
