## mscim-pinyin 0.5.91-0maemo5

=== debian/changelog ===
mscim-pinyin (0.5.91-0maemo5) fremantle; urgency=low

  * Fix installing error

 -- Evan JIANG <firstfan@gmail.com>  Tue,  09 Feb 2010 22:44:00 +0800
