## mscim-pinyin 0.5.91-0maemo6

=== debian/changelog ===
mscim-pinyin (0.5.91-0maemo6) fremantle; urgency=low

  * Force re-compiling with new SDK.

 -- Evan JIANG <firstfan@gmail.com>  Sat,  24 Jul 2010 09:37:00 +0800
