=== debian/rules ===
--- 
+++ 
@@ -127,7 +127,7 @@
 #	dh_python
 #	dh_makeshlibs
 	dh_installdeb
-	dh_shlibdeps
+#	dh_shlibdeps
 	dh_gencontrol
 	maemo-optify
 	dh_md5sums
